{% extends "base.html" %}
{% block header %}
    <style>
        .m-card-item {
            padding: 20px 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .m-card-item:not(:last-child) {
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }

        .m-card {
            margin-bottom: 24px;
            width: 100%;
        }

        .m-review-box > div:not(:first-child) {
            padding: 8px 24px;
        }
    </style>
{% endblock header %}
{% block title %}
    پروفایل {{ account.first_name }} {{ account.last_name }}
{% endblock %}
{% block body_title %}
    پروفایل {{ account.first_name }} {{ account.last_name }}
{% endblock %}
{% block content %}
    <div class="ui middle aligned center aligned grid">
        <div class="column">
            <img style="width: 200px; height: 200px; border: 1px solid; border-radius: 50%;"
                 src="/media/{{ account.avatar }}" alt="avatar">
            <div class="m-card" style="padding: 0 20px; margin: 0 auto;">
                <div class="m-card-item">
                    <div>
                        <span>شماره تماس</span>
                    </div>
                    <div>
                        <span>{{ account.phone_number }}</span>
                    </div>
                </div>
                <div class="m-card-item">
                    <div>
                        <span>تعداد سفارشات</span>
                    </div>
                    <div>
                        <span>{{ orders_count }}</span>
                    </div>
                </div>
                <div class="m-card-item">
                    <div>
                        <span>امتیاز</span>
                    </div>
                    <div>
                        {% if rate == '1' %}
                            <a class="ui red label">{{ rate }}</a>
                        {% elif rate < '4' %}
                            <a class="ui yellow label">{{ rate }}</a>
                        {% else %}
                            <a class="ui green label">{{ rate }}</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% if reviews.count %}
        <div class="body-header" style="margin-top: 24px;">
            <span>
                نظرات کاربران
            </span>
        </div>
        {% for review in reviews %}
            <div class="m-card m-review-box" style="width: 50%; margin: 8px auto;">
                <div>
                    <span>
                        {{ review.user.first_name }} {{ review.user.last_name }}
                    </span>
                    <span>برای</span>
                    <span>
                        {{ review.order.expertise.name }}
                    </span>
                </div>
                <div class="ui divider"></div>
                <div>
                    <span>امتیاز:</span>
                    {% if review.rate == 1 %}
                        <a class="ui red label">{{ review.rate }}</a>
                    {% elif review.rate < 4 %}
                        <a class="ui yellow label">{{ review.rate }}</a>
                    {% else %}
                        <a class="ui green label">{{ review.rate }}</a>
                    {% endif %}
                </div>
                <div>
                    <span>توضیح:</span>
                    <span style="color: gray;">{{ review.content }}</span>
                </div>
            </div>
        {% endfor %}
    {% endif %}
{% endblock %}
